--动作魔法 F
function c87592001.initial_effect(c)
	--Activate
	local e3=Effect.CreateEffect(c)
	e3:SetCategory(CATEGORY_POSITION)
	e3:SetType(EFFECT_TYPE_ACTIVATE)
	e3:SetProperty(EFFECT_FLAG_CARD_TARGET)
	e3:SetCode(EVENT_BE_BATTLE_TARGET)
	e3:SetOperation(c87592001.activate)
	c:RegisterEffect(e3)
end

function c87592001.activate(e,tp,eg,ep,ev,re,r,rp)
	Duel.NegateAttack()
end
